WeblogicRelationTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.bea.wls.ejb.WeblogicRelationTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.bea.wls.ejb
Class WeblogicRelationTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.ejb.EjbTagsHandler
                  xdoclet.modules.ejb.dd.RelationTagsHandler
                      xdoclet.modules.bea.wls.ejb.WeblogicRelationTagsHandler

public class WeblogicRelationTagsHandler
extends RelationTagsHandler

This tag handler handles tags needed for Weblogic relations

Version:
  $Revision: 1.11 $
Author:
  Aslak Hellesøy
xdoclet.taghandler
  namespace="WlEjbRel"
created
  12 mei 2002

Nested Class Summary

Nested classes inherited from class xdoclet.modules.ejb.dd.RelationTagsHandler
`RelationTagsHandler.RelationHolder`

Field Summary

Fields inherited from class xdoclet.modules.ejb.dd.RelationTagsHandler
`currentRelation, relationMap`

Fields inherited from class xdoclet.modules.ejb.EjbTagsHandler
`ALL, LOCAL_SUFFIX, SERVICE_ENDPOINT, SERVICE_ENDPOINT_SUFFIX`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`WeblogicRelationTagsHandler()`

Method Summary
`void` | `ensureColumnMapTagsRight()` Makes sure the column-map tags are on the right side and target-column-map tags left
`void` | `forAllColumnMaps(String template, boolean left)` Describe what the method does
`void` | `forAllLeftColumnMaps(String template)`
`void` | `forAllRightColumnMaps(String template)` Describe what the method does
`String` | `foreignKeyColumn()` Describe what the method does
`void` | `ifHasKeyColumn(String template)` Describe what the method does
`void` | `ifHasLeftGroupName(String template)` Describe what the method does
`void` | `ifHasRightGroupName(String template)` Describe what the method does
`String` | `joinTableName()` Describe what the method does
`String` | `keyColumn()` Describe what the method does
`String` | `leftGroupName()` Describe what the method does
`String` | `rightGroupName()` Describe what the method does

Methods inherited from class xdoclet.modules.ejb.dd.RelationTagsHandler
`forAllRelationships, hasRelationships, ifHasLeftRoleName, ifHasRelationships, ifHasRightRoleName, ifIsBidirectional, ifIsLeftMany, ifIsMany2Many, ifIsNotACollection, ifIsOne2Many, ifIsOne2One, ifIsRightMany, ifIsUnidirectional, ifLeftCascadeDelete, ifLeftNavigable, ifNotHasRelationships, ifNotIsMany2Many, ifNotIsOne2Many, ifNotIsOne2One, ifRightCascadeDelete, ifRightNavigable, isSetOrCollection, leftEJBName, leftFieldName, leftFieldType, leftMultiplicity, leftRoleName, relationComment, relationName, rightEJBName, rightFieldName, rightFieldType, rightMultiplicity, rightRoleName`

Methods inherited from class xdoclet.modules.ejb.EjbTagsHandler
`beanType, choosePackage, concreteFullClassName, ejbExternalRefName, ejbName, ejbRefName, ejbRefName, extendsFromFor, forAllBeans, getDependentClassFor, getDependentClassTagName, getEjb, getEjbIdFor, getEjbNameFor, getEjbSpec, getShortEjbNameFor, hasTransaction, id, ifIsAConcreteEJBean, ifLocalEjb, ifNotLocalEjb, ifNotRemoteEjb, ifNotServiceEndpointEjb, ifRemoteEjb, ifServiceEndpointEjb, isAConcreteEJBean, isEjb, isLocalEjb, isOnlyLocalEjb, isOnlyRemoteEjb, isOnlyServiceEndpointEjb, isRemoteEjb, isServiceEndpointEjb, prefixWithEjbSlash, shortEjbName, shouldTraverseSuperclassForDependentClass, symbolicClassName`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeblogicRelationTagsHandler

    public WeblogicRelationTagsHandler()

Method Detail

### forAllColumnMaps

    public void forAllColumnMaps(String template,
                                 boolean left)
                          throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
    `left` -
  Throws:
    `XDocletException` - Describe the exception

### forAllLeftColumnMaps

    public void forAllLeftColumnMaps(String template)
                              throws XDocletException

  Throws:
    `XDocletException`

### forAllRightColumnMaps

    public void forAllRightColumnMaps(String template)
                               throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### ensureColumnMapTagsRight

    public void ensureColumnMapTagsRight()

  Makes sure the column-map tags are on the right side and target-column-map tags left

### joinTableName

    public String joinTableName()
                         throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception

### leftGroupName

    public String leftGroupName()
                         throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception

### ifHasLeftGroupName

    public void ifHasLeftGroupName(String template)
                            throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### rightGroupName

    public String rightGroupName()
                          throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception

### ifHasRightGroupName

    public void ifHasRightGroupName(String template)
                             throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### ifHasKeyColumn

    public void ifHasKeyColumn(String template)
                        throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### keyColumn

    public String keyColumn()
                     throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException`

### foreignKeyColumn

    public String foreignKeyColumn()

  Describe what the method does

  Returns:
    Describe the return value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD